.netPROTECT

Navigation: »No topics above this level«

.netPROTECT

 Return to chapter overview

Please feel free to navigate this help document for information on installation, developer documentation, reference, samples, support and licensing.


Overview

Overview of .netPROTECT

Navigation: .netPROTECT >

Overview of .netPROTECT

 Return to chapter overview

.netPROTECT is a high end password protection, user management and authentication solution for ASP.NET enabling you to quickly and easily password protect areas of your web site. .netPROTECT is built on over 4 years of direct experience with massive real-world authentication solutions including iisPROTECT used to protect thousands of production web sites throughout the world. See what's new in the version history.

.netPROTECT Product Features:

General Features:

· Password protects individual files, entire directories or even directories and all subdirectories with a single password protection entry!
· Protect all files types and directories, even images, documents, PDF, databases etc when using IIS 7 with no file based editing.
· ASP.NET password protection can be accomplished with a web administration system without editing your ASP.NET Files
· All users, groups and password protected areas are stored in database backend
· Other settings and configuration data is stored in XML files
· No special installation requirements, works great in shared hosting environments. If your web host supports ASP.NET in most cases you can copy .netPROTECT's files to your site and start using the solution!
· Native database support for SQL Server via SQL Client, Access via Native OLEDB and nearly every other database via native ODBC supported. Tested with and database creation scripts provided for Access, SQL Server, MySQL, and Oracle.
· All text values used by the system can be customized with individual language files for simple internationalization. A number of language translations are included.
· A file streaming control is included to enable you to protect file content other than ASP.NET scripts. In addition the file streaming control enables you to distribute large files through HTTP and supports download resumption should a download be interupted.
· Web based admin for signup form creation and customization

Password Features:

· Password recovery. User can request a new password which will be automatically generated and emailed to them.
· Users can change their own password through a password change form.
· No passwords are stored in plain text for enhanced security all passwords are hashed with a cryptographically secure 1 way algorithm.
· Password selection rules for length, number of digits, number of symbols and number of mixed case characters is supported. Configurable through a web administration with no coding required.
· Prevent recent password use. An admin configurable count enables previous passwords to be tracked for enhanced security. An user will not be able to change their password to the same value used over the past x password changes if this feature is enabled.
· Force password change every x period of time or on a specific date for all users
· Expire passwords on an individual user basis
· Admin defined message or redirect for password expired condition
· When a given users password expires they are given an option to change their password and after successfully completing this change will be automatically redirected to the resource they originally requested.
· Remember me option with ability to set number of days password will be remembered

Administration Features:

· Completely web based interface
· Wizards for customizing login form, logout form, and password form with no coding required.
· Ability to add custom fields and to select the types of controls used to collect date for these fields in the signup form without programming. Search functionality and email token and template functionality seamlessly work with custom fields.
· Extensive search and navigation control for easy user, group and protected area management
· Complete ownership tracking of all users, groups and protected areas with ability for administrative override.
· Users can be listed alphabetically or searched on any criteria
· Master administrators can delegate individual group or protected area administration to lower level users
· Unlimited users, groups and protected areas allows for complex multi tier systems with different levels of responsibility.
· Complete web based reporting, auditing and statistics (see below for details)
· Familiar interface emulates desktop application look and feel
· Account Abuse Prevention Features:
· Control concurrent logins (multiple logins using the same username at the same time). Deny concurrent login attempts, set quotas on a per site, per user or per group basis. Automatically disable users past a specific threshold.
· Set limits on the Hits, logins per time, and concurrent users
· Block future failed login attempts (dictionary attacks)
· log / track abuse attempts
· Disable accounts automatically at set thresholds
· After x attempts prevent logins for x period with administrator defined periods
· Set independent messages / redirects for blocked login or disabled account
· Global control of total number of users authenticated in the site with specific error message or redirect
· Maximum number of concurrent users with the same username
· Maximum number unique logins per period
· Maximum number concurrent logins per period
· Maximum x hits from unique or concurrent users

Signup Features:

· Fully customizable login form using a web interface (including adding custom fields, controlling label and information collected.
· Signup scenerio to notify admin when a new user is in need of activation
· Ability to automatically add users to groups on signup
· Automatic activation support, as soon as an user signs up the account is activated with no further action required.
· Email verification on signup, enables users to self activate after signup they recieve an email with confirmation link, after clicking their account is activated.
· Integrated payment support (add-on product) enables users to signup with a realtime payment and be activated only after successful payment. This method can also be combined with email validation.
· Global and user level redirects with token support enable simple redirect to arbitrary directories files or paths with strings automatically customized on a per user basis.

Filters and Automatic Logins:

· Filters prevent or restrict access to a given site or protected area based on set criteria including the users IP, user agent, or other headers. Administrators can control the restrictions in place and error message(s) or redirect(s) used.
· Autologins allow for set groups to be automatically authenticated against the system. A common scenerio is to setup an autologin for a set of IP's within ones intranet. In such a case users are automatically authenticated.
· Autologins can each be assigned an user context so full logging, auditing and reporting remains possible even on those who autologin.

Email Sending Functionality:

· In addition to automated emailing for password change request a comprehensive mail engine is included with .netPROTECT
· Perform searches on subsets of of users using any data stored on those users including any custom fields defined.
· Email to any individual user any message text
· Email to any group or selection of users any message text
· Example usage, search for all users who expire in less than 10 days and offer a special incentive to renew or email all users who have expired passwords and send them a link to the password update page.
· Template supported to replace tokens with user details such as %USERNAME% so messages can be easily personalized even when being sent to all users. Templates are also supported for custom fields.

Reporting and Auditing Features:

· Complete audit trail possible including all requests through the system
· Track each page requested, user details, time, logins / logouts and more
· Advanced "live user" reporting shows all users in the system at a given time including a tabular listing of username, concurrent access count, first login and last login.
· Statistics with charting for sign-ups over time, logins over time, hits over time, top users, top pages, top groups, top areas. Ability to set date range and chart type to best visualize your data.
· Ability to archive statistical data, to move specific sets of data to the archive, restore from the archive or delete perminantly.

Learn more about .netPROTECT features at our web site.


Installation

Navigation: »No topics above this level«

Installation

 Return to chapter overview

System Requirements provides information on the minimum requirements for running .netPROTECT.

Instructions provides information on how to install .netPROTECT


System Requirements

Navigation: Installation >

System Requirements

 Return to chapter overview

.netPROTECT is designed to be used in a web server environment.

Supported Operating Systems:

· Windows 2000 Server
· Windows XP Professional
· Windows 2000 Professional
· Windows Server 2003
· Windows Server 2008
· Windows Server 2008 R2
· Windows Server 2012

Additional Requirements:

· ASP.NET 2.0 and Internet Information Server 5.0 or later.
· IIS 7 recommended. With IIS 7 and .netPROTECT all files types can be protected without renaming. With IIS 5 or 6 only asp.net content is automatically protected.

Downloads and Links:

· If you are running a supported Operating system but are not yet running ASP.NET 2.0 you can download it for free from Microsoft through www.asp.net.

Shared Hosting Support:

· .netPROTECT may be used with shared hosting providers. If you have a hosting account with ASP.NET support you can install .netPROTECT yourself by copying the required files to your site via FTP. No special installation is required by your web hosting provider. In addition, .netPROTECT works with most hosts custom medium trust implementations.


Instructions

Navigation: Installation >

Instructions

 Return to chapter overview

.netPROTECT can be deployed quickly and easily without any special installation or registration requirements. It will work with a dedicated server, shared server, hosted server etc. so long as the server supports ASP.NET - as soon as you copy your files to your web server you can start using .netPROTECT!

Typically customers will use the automated install which configured the product fully including creating a site or virtual directory as required. If you are remotely deploying to a hosting provider or don't have admin access on the server to run an msi you can use the unpack only option and manually deploy with xcopy (ftp) deployments. .netPROTECT is designed for use in shared server environments.

Procedure:

· Unpack by running the MSI and selecting the manual install option
· Copy / FTP web files to a directory of your choice within your web servers root directory
· Ensure that dotnetprotect.dll and your purchase key are located in the /bin directory and that the /bin directory is in the root (top level) of your web site or, if not, that you have created an application for the subdirectory which contains your /bin directory.
· You may now use the .netPROTECT administration by loading the admin through http://localhost/admin (assuming installing in the root it would be http://localhost/dotnetprotect/admin if you installed in a directory or virtual directory called dotnetprotect within your root). Enter "admin" and "pass" to login. You will be prompted to change your password on the first login.
· For email functionality within .netPROTECT to function, you must set your email server details in the email settings page.
· Update the "decryptionKey" attribute in the web.config to any value (16 hexadecimal characters) which is used to secure the cookie data used in .netPROTECT's forms authentication.
· Note if the directory you installed .netPROTECT into is not named /dotnetprotect the sample protected areas would not be protected by default. You could update the sample protected areas to include your install directory name or create your own protected areas for your deployment to test .netPROTECT.

Using a Virtual Directory:

· Unpack by running the MSI and selecting the manual install option
· Place files in any directory you wish
· Using the IIS administration (MMC), create a virtual directory under your web site pointing to the unpacked directory that contains the .netPROTECT files. Click here for more information on virtual directory creation.
· Edit the dotnetprotect.config and set the root node to the name of the virtual directory.
· You may now use the .netPROTECT samples through http://localhost/vdirname where vdirname is the name of the virtual directory you created.
· Note if the virtual directory is not named /dotnetprotect the sample protected areas would not be protected by default. You could update the sample protected areas to include your virtual directory name or create your own protected areas for your virtual directory to test .netPROTECT.

Write Permission Requirements: .netPROTECT uses a database and configuration file to store user and configuration information. For this reason you will need to enable write permissions on your database to use .netPROTECT. Many hosts provide a web interface which enables you to directly grant such permissions, if your host does not you would need to email them and request that write permissions be granted on your database and the dotnetprotect.config file. In addition to enabling write permissions on the database and config file, write permissions should be granted on the admin/temp directory where temporary chart reports are created and the web.config file.

Email Sending:

For email functionality within .netPROTECT to function, you must set your email server details in the email settings page.

Changing Database Types:

By default an MS Access database is created. If you wish to work with another database type please see the database section of .netPROTECT's web administration after deployment.

Advanced Configuration Options:

Please see nested application support for information on using .netPROTECT with IIS applications, nested applications or multiple installations per web site.

Using your own web.config:

A web.config file is provided with .netPROTECT. After first installation, during the first request, .netPROTECT adds appropriate HTTP handler and Modules entries. This web.config can be used however you may have a web config you are currently using and wish to simply add these settings to your own web config. If this is the case please find the settings detailed below:

Internet Information Services (IIS) 7.0 or newer with Integrated mode:

<system.webServer>

<handlers>

<add type="dotnetPROTECT.RedirectionHandler" verb="*" path="*_admin.aspx" name="RedirectionHandler" />

</handlers>

<modules>

<add name="ProtectionModule" type="dotnetPROTECT.ProtectionModule" />

</modules>

</system.webServer>

Internet Information Services (IIS) 6.0 or older, or newer IIS versions with Classic mode:

<system.web>

<httpHandlers>

<add type="dotnetPROTECT.RedirectionHandler" verb="*" path="*_admin.aspx" />

</httpHandlers>

<httpModules>

<add name="ProtectionModule" type="dotnetPROTECT.ProtectionModule" />

</httpModules>

</system.web>


Included Files

Navigation: Installation >

Included Files

 Return to chapter overview

The dotnetprotect.zip bundle includes the following files and directories:

/admin

The admin directory contains the files to manage the .netPROTECT system. To view the admin you can load www.yourdomain.com/dotnetprotect/admin (assuming you installed .netPROTECT into a subdirectory called dotnetprotect in your site). You will be prompted for an username and password, enter admin and pass to login. NOTE: you will be prompted to change this password after first login for security purposes.

/bin

The bin directory contains the dotnetprotect.dll component which is used for both the .netPROTECT administration and password protection engine

/database

The database directory includes the database used by .netPROTECT. By default, a sample MS Access database is automatically created the first time .netPROTECT is run. To enhance security the database is named with a .config rather than a .mdb extension. Both MS Access and SQL Server are currently officially supported. Support was also added for MySQL and Oracle databases and is currently in beta. For more information please see the readme.txt included in the /database directory. The /database directory also includes the dotnetprotect.config and dotnetPROTECTstrings.resx (if language customization is used through the web administration).

dotnetprotect.config

The dotnetprotect.config file is an XML file which contains settings used by .netPROTECT including database configuration and system settings. This file uses a .config extension rather than .xml to disable direct downloads since information contained in the file may be of a sensitive nature.

/sample

A directory including a number of sample protected files and folders included with the bundle. A default install of .netPROTECT will protect the /sample/protected folder and link to a number of test protection examples. In addition a sample integrated login / logout form is included in /sample/customloginlogout.

dotnetprotect.chm

The .netPROTECT help file in windows compiled help format.

web.config

The web.config file is a standard ASP.NET configuration file populated with settings which enable .netPROTECT to protect files within your site. This enables you to password protect entire areas, directories, groups of files, or individual files seamlessly without modifying or editing the files you wish to protect.


Migration Guide

Navigation: Installation >

Migration Guide

 Return to chapter overview

If you have a site or application already built that uses ASP.NET 2.0's Membership model for users / roles you can quickly and easily switch to .netPROTECT for authentication in order to use its extensive features, functionality, and web administration (as well as the optional payment processing with the .netPAYMENT add-on).

This migration guide is designed for developers experienced with ASP.NET development to migrate ASP.NET 2.0 web sites from the limited functionality to the full features of .netPROTECT. This guide should not be used by non developers or developers simply wishing to use .netPROTECT in their own asp.net 2.0 web site. Such users may ignore this topic.

1) Add the .netPROTECT module to your web.config as detailed in instructions.

Note: your web.config should have write permissions granted for the aspnet / network service user.

2) Add a reference to dotnetPROTECT.dll in your ASP.NET project.

3) Copy the Admin, database, sample, and App_GlobalResources folders to the root of membership project you are migrating.

4) Start the web application (automatically all needed settings in the web.config file, database and .netPROTECT configuration file will be created).

5) Navigate to the users form and click the "migrate" button

6) On the Migrate form choose membership provider (in our example SqlProvider)

7) Select users to migrate and click migrate button

8) Go to groups form and click to migrate button to migrate membership roles. Roles in Membership model have group meaning in our model. We use groups for grouping users to access protecting areas, like role authorization in membership model. We use roles for grouping users for accessing some admin based business logic (e.g. the permission to add new group).

9) On Migrate form choose role provider (in our example SqlRoleProvider), select roles and click migrate button. Roles will be added like groups and all relationships between roles and users will be migrated.

10) Go to the protected areas form, click migrate button and choose areas for migration. Locations in Membership model are Protected areas in our. Also, the system will migrate all relationships between locations and roles and locations and users.

11) In the newly modified web.config, change membership and roles providers to dotnetPROTECT providers by replacing:

<membership hashAlgorithmType="SHA1" defaultProvider="SqlProvider" userIsOnlineTimeWindow="20">

<providers>

<remove name="AspNetSqlProvider" />

<add name="SqlProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="SqlServer" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="true" passwordFormat="Hashed" applicationName="/" minRequiredPasswordLength="5" />

</providers>

</membership>

<roleManager enabled="true" cacheRolesInCookie="true" defaultProvider="SqlRoleProvider">

<providers>

<add name="SqlRoleProvider" connectionStringName="SqlServer" applicationName="/" type="System.Web.Security.SqlRoleProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />

</providers>

</roleManager>

With:

<membership hashAlgorithmType="SHA1" defaultProvider="ProtectMembershipProvider" userIsOnlineTimeWindow="20">

<providers>

<remove name="AspNetSqlProvider" />

<add name="ProtectMembershipProvider" type="dotnetPROTECT.ProtectMembershipProvider" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="true" passwordFormat="Hashed" applicationName="/" minRequiredPasswordLength="5" />

</providers>

</membership>

<roleManager enabled="true" cacheRolesInCookie="true" defaultProvider="ProtectRoleProvider">

<providers>

<add name="ProtectRoleProvider" applicationName="/" type="dotnetPROTECT.ProtectRoleProvider" />

</providers>

</roleManager>

)

This change is required so your old membership logic will function via dotnetPROTECT providers, using the membership API.

12)Delete your connection string entry in the web.config if this option was only used only for membership access / storage. E.g. delete:

<connectionStrings>

<add name="SqlServer" connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|aspdb.mdf;User Instance=true" providerName="System.Data.SqlClient" />

</connectionStrings>

13) Change/Delete <authentication/> section. Delete:

<authentication mode="Forms">

<forms loginUrl="Login.aspx" defaultUrl="Login.aspx" cookieless="UseCookies" />

</authentication>

If you want to support FormsAuthentication, you can leave this section, but is better to change loginUrl(from loginUrl="Login.aspx" to loginUrl="~/Admin/Login.aspx")

14) Change <authorization /> section to:

(<authorization>

<allow users="*" />

</authorization>)

15) Delete all locations (sections starts with <location)

<location path="secured">

<system.web>

<authorization>

<allow users="user1,user2,user3" />

<deny users="*" />

</authorization>

</system.web>

</location>

<location path="role1">

<system.web>

<authorization>

<allow roles="role1" />

<deny users="*" />

</authorization>

</system.web>

</location>

16) If you want to still utilize FormAuthentication you can skip this step. Typically the purpose of migration is to change all settings to use .netPROTECT in place of forms authentication. Change in code all FormAuthentication usage to dotnetProtect usage(see changes in Authentication class) Replace:

public class Authentication

{

public static bool Login(string userName,string password)

{

if (Membership.ValidateUser(userName, password))

{

if (HttpContext.Current.Request.QueryString["ReturnUrl"] != null)

{

FormsAuthentication.RedirectFromLoginPage(userName, false);

}

else

{

FormsAuthentication.SetAuthCookie(userName, false);

HttpContext.Current.Response.Redirect("~/secured/DisplayUserProperties.aspx");

}

return true;

}

else

{

return false;

}

}

public static void Logout()

{

FormsAuthentication.SignOut();

}

public static void RedirectToLoginPage()

{

FormsAuthentication.RedirectToLoginPage();

}

}

With:

public class Authentication

{

public static bool Login(string userName,string password)

{

return ProtectionManager.Manager.AuthenticateNewUser(userName, password, false, true);

}

public static void Logout()

{

ProtectionManager.Manager.Logout();

}

public static void RedirectToLoginPage()

{

ProtectionManager.Manager.RedirectToLoginPage();

}

}

Please let us know if you have any questions or suggestions regarding this migration guide. The goal is to enable users of asp.net 2.0 built in but limited membership model to experience the full rich featureset of .netPROTECT quickly and easily.


Version History

Navigation: Installation >

Version History

 Return to chapter overview

.netPROTECT 2.7 released September 18, 2016:

· Support sending mail though TLS and STARTTLS
· Update machineKey decryption from 16-bit to 32-bit
· Azure web application deployment support
· Updated Payment support

.netPROTECT 2.6 released October 2nd, 2015:

· Classic / integrated mode automated installer support
· Updated Payment support

.netPROTECT 2.5 released July 8th, 2015:

· Added new global setting in admin Settings-> Global tab
· Improve ‘Change Password’ handling by counting invalid attempts and disabling users

· .netPROTECT 2.4 Update released April 22, 2015:
· Certified for Windows Server 2012 R2 and IIS8
· Updated installer and automated deployment for Windows Server 2012 R2 and IIS8
· New payment processor option: FirstDataGlobalGatewaye4
· Database: Supports Sql server database in Azure and MS Access *.accdb

.netPROTECT 2.3 Update released February 19, 2013:

· Payment processor enhancements Stripe and Transfirst
· Updated error message handling for paypal

.netPROTECT 2.3 Update released September 28, 2012:

· Certified for Windows Server 2012 and IIS8.
· Updated installer and automated deployment for Windows Server 2012 and IIS8.
· Payment processor enhancements for PayPalPro, First Data Global Gateway and Paymentech Orbital.

.netPROTECT 2.3 Update released January 17, 2012:

· Improving login dialog box.
· Automatically removing a deleted area from all the group areas.
· Fixed user activation through the link in the email verification.
· Fixed autoLogin.

.netPROTECT 2.3 Update released June 27, 2011:

· New payment processor options: QuickBooks, SagePay and RbcWorldPay
· New HTML body format option for emails.

.netPROTECT 2.3 11/17/2009

· SSL support for SMTP mail sends
· Autologin fix for IP autologin
· New support for IP wildcard 255.255.255.*
· Fixed root deployment automatic install option

.netPROTECT 2.2 9/16/2009

· Certified for Windows Server 2008 R8 including usage in hyper-v instances
· Updated installer, automated deployment and permissions set on R2
· New server license option (multiple sites, single server)
· Supports ASP.NET 2.0 and later including 3.0, 3.5 and 4.0

.netPROTECT 2.1 6/20/08

· 64 bit support (requires a database other than MS Access to be used)
· Enhanced installer for Vista

.netPROTECT 2.0 2/27/2008

· Automated installer allows for completely automated install or manual unpack only option
· Updated MySQL driver integration
· New database layer implemented (MS Access, MS SQL Server, MySQL, Oracle)
· .netPROTECT has now been officially certified for Windows Server 2008 for use with IIS7 (one of the first 10 applications in the world certified)
· Customer signup enhancement including country and state dropdown lists
· New payment processor options: PayflowPro (PayPal), GlobalPayments and Navigate

.netPROTECT 1.5 8/8/2007

· IIS 7 autoconfiguration and detection
· ASP.NET 2.0 membership, roles and user profile migration now conditionally displayed only if applicable.
· Admin directory now supports renaming

.netPROTECT 1.4 3/19/2007

· New .netPAYMENT updates integrated
· New database update system (for simplifying upgrades to new versions)
· ASP.NET 2.0 membership, roles and user profile migration (now it is simple to move your site from the basic included membership functionality to the full functionality of .netPROTECT with the .netPAYMENT add-on).

.netPROTECT 1.3 12/13/2006

· New .netPAYMENT updates integrated
· Remember me option added for login form and supported in login form web based customization
· Option to set number of days login will be remembered
· Logout option added to web admin interface
· Oracle provider updated
· KB quota support added for user, group and protected areas.

.netPROTECT 1.2 08/10/2006

· Full web based strings localization support added allows for string customization or internationalization working with different languages.
· Ability to select language and culture
· Global and user level redirect with token support
· Redirect on login with flexible dataflow handling to specific directory or protected area

.netPROTECT 1.1 06/07/2006

· ASP.NET 2.0 supported
· Custom medium trust deployment supported
· Future new features ASP.NET 2.0 version specific

.netPROTECT 1.0, final. 05/1/2006

· Final version of .netPROTECT 1.0 is released.
· UNC file path support added

.netPROTECT 1.0 RC3. 03/31/2006

· UPDATED: Sub application support has been enhanced to support nested sub applications and other advanced deployment scenarios. Protecting sub applications within the same site is now as simple as copying the dll to the /bin, no special configuration is required.
· UPDATED: .netPAYMENT new version integrated
· FIXED: RC bug report

.netPROTECT 1.0 RC2. 03/22/2006

· NEW: custom medium trust support for shared hosting providers
· UPDATED: Custom database creation without high trust dependencies
· UPDATED: .netPAYMENT new version integrated
· FIXED: RC bug reports

.netPROTECT 1.0 RC1. 02/06/2006

· NEW: Oracle and MySQL support
· NEW: Automated database creation and select from web interface
· NEW: Custom login / logout sample
· UPDATED: .netPAYMENT integration to support release version.
· FIXED: beta bug reports

.netPROTECT Release Candidate (public) 09/20/2005

.netPROTECT Beta 2 (public)

.netPROTECT Beta 1 (private)


User Documentation

Navigation: »No topics above this level«

User Documentation

 Return to chapter overview

.netPROTECT includes a comprehensive administration system for managing all aspects of your password protection, user authentication and membership system. You can view the administration system by entering http://www.yourdomain.com/dotnetprotect/admin/ (assuming you installed in a dotnetprotect subdirectory) or http://www.yourdomain.com/admin/ (assuming you installed in the root of your web site).

When you reach the admin directory you will be prompted to enter an username and password and should provide:

Username: admin

Password: pass

On your first login you wil be prompted to provide a new password for security purposes. Please ensure you select a secure password with at least 1 number and one symbol and at least 6 characters in length. You can use this new password you select in the future with the "admin" user to gain access to the web administration system.


Overview

Navigation: User Documentation >

Overview

 Return to chapter overview

.netPROTECT includes a comprehensive administration system for managing all aspects of your password protection, user authentication and membership system. You can view the administration system by entering http://www.yourdomain.com/dotnetprotect/admin/ (assuming you installed in a dotnetprotect subdirectory) or http://www.yourdomain.com/admin/ (assuming you installed in the root of your web site).

When you reach the admin directory you will be prompted to enter an username and password and should provide:

Username: admin

Password: pass

On your first login you wil be prompted to provide a new password for security purposes. Please ensure you select a secure password with at least 1 number and one symbol and at least 6 characters in length. You can use this new password you select in the future with the "admin" user to gain access to the web administration system.


Administration

Navigation: User Documentation >

Administration

 Return to chapter overview

.netPROTECT administration documentation has 3 main sections: General, Management and Audit / Statistics.


General

Navigation: User Documentation > Administration >

General

 Return to chapter overview

General and global level settings and configuration for .netPROTECT including Form / Field settings, invalid login handling, global access handling, Settings, auto logins and filters, error logs and payment settings.


Form / Field settings

Navigation: User Documentation > Administration > General >

Form / Field settings

 Return to chapter overview

Here you can setup and configure the signup form, add custom fields / properties, setup the login / logout and password forms, and control the password management rules.

This section has 4 tabs: Sign-up form, Signup Scenerios, Login/Logout and Password Management.


Sign-up Form

Navigation: User Documentation > Administration > General > Form / Field settings >

Sign-up Form

 Return to chapter overview

Sign-up Form:

This section enables you to customize the signup form, add custom fields and control the order and labels shown. You can also use a custom XSL transformation to control the exact look and layout of the form or use the provided default.

· Form Template: The form template section shows a listing of form controls in the order they will display on the signup form. You can select any control to view or modify its details by clicking its name in this listing. You can also add (new) or remove (delete) entries from the signup form.

· Control Properties: When you select a control from the form template or select "new" you will get a display of the control property details. Options include Name (what will display in the form properties), type (options include textbox, email textbox, text area, label, number textbox, and dropdown. To add downdown selections enter 1 per row using enter after each. If using the .netPAYMENT add-on you will also be able to select the payment control.

· XSL Transformation: This option is only for advanced users and designers and allows for the layout of the form to be customized by providing a custom XML transformation file.

You may define custom controls which will be available in both the signup form and through the user properties. You can create different types of controls and enter any data you wish. You control the name of the custom field, the label used in the signup form as well as in the admin. When you create a new field it will be automatically available throught the user management so such data can be set on a per user basis. It is also enabled for search so you can search the custom field and finally, it is supported in the template system which allows for inclusion of such information in custom emails.


Sign-up Scenerios

Navigation: User Documentation > Administration > General > Form / Field settings >

Sign-up Scenerios

 Return to chapter overview

Sign-up Scenerios:

This section enables to to set the scenerios, or behavior, that takes place after a signup. Options include:

· Use Email as Username: When this option is checked the email address will be used as the username. The username will no longer be included in the signup form and will be disabled in the user form. In addition, the email address will be required and must be unique for an user to be added. In the user admin both email and username will not be able to be changed after addition when this option is enabled. If you have already used the system without this option enabled previous users will remain unaffected and can still login with username while new users will require email to login. Typically this setting would be made before the system was in use and would not be changed afterwards.
· Use Payment: This option determines if .netPAYMENT is used. It can be useful when using the trial to disable .netPAYMENT to see what features, functionality and menu options are specific to this add-on product.
· Activate user automatically: When the user signs up they will be activated by the system automatically and have access to any protected areas allowed for their user / group.
· Send Emails with request notice to persons in charge of activating: This sends an email to the administrator to indicate that a new user is waiting for activation.
· Time period (days) to disable user after activation: enables automated trial periods, for example after 30 days the new account would become inactive.
· User will be a member of groups: This option enables you to add groups from the list and when a signup is complete they will be automatically assigned to the selected group(s).
· Sucessful signup handling: After a signup is complete there are a number of options. You can show a message (you provide the text of your choice), redirect to (you provide a URL of your choice in the format http://www.domain.com/) or redirect to original request (in the case that users try an access a protected area, then signup they will be returned to the protected area they originally requested.


Activation by Email

Navigation: User Documentation > Administration > General > Form / Field settings >

Activation by Email

 Return to chapter overview

Activation by Email:

This section enables you to setup automatic account activation with a confirmation email. When enabled the user will be sent an email immediately after signup with an activation URL. After clicking on this URL the user will be automatically activated

· Use Activation by email: A check box which controls if the feature is enable or not..
· Number of days to accept validation: Controls the number of days the activation URL provided via email will remain active.
· Email text: This text of the automated email that will be sent. This text supports tokens which will be replaced dynamically with data specific to the user being emailed.
· Successful activation handling: Allows you to set either a message for display or URL the user will be sent to when successfully activated.
· Invalid activation handling: Allows you to set either a message for display or URL the user will be sent to when activation fails.

After making any changes you may select the apply button to apply and save your new settings.


Login / Logout

Navigation: User Documentation > Administration > General > Form / Field settings >

Login / Logout

 Return to chapter overview

This section of the admin allows you to customize the login / logout / change password and recover password forms.

Login Form:

This form is used for current users to login.

· Successful login handling (show message): Enables you to set the message that will display on a successful login using the login form (direct login). You can also set a different message for a redirected login (when the user requests a protected area or file, then is prompted to login). When using a redirected login you can use a special token string %requestedurl to enable the user to click and continue to the originally requested url. ii)
· Successful login handling (redirect to): Enable you to redirect to a specific url. You can use url tokens such as %username to redirect to user specific paths automatically. Two check boxes are available that affect redirection: 1) allow user redirection, which will enable users to be redirected based on the user specific "After login redirect to setting". If not enabled the global level redirect would be used regardless of the user setting. 2) Automatically redirect to requested URL after login which sends an user to the originally requested url before they logged in once they provide valid credentials and login.
· Use Sign-up button: Determines if the sign-up button will display on the form. This allows the users to jump to the signup form from the login page.
· Use Change Password button: Determines if the change password button will display on the form. This will give the users the option to change their password.
· Use recover password button: Determines if the recover password button will display on the form. This will give the users the option to recover their password if lost or forgotten.
· User Remember me option: Determines if the remember me checkbox option will be displayed on the login form. If displayed and an user checks it they will not be prompted for login in the future using the same browser unless their cookies are deleted or they logout.
· Days before cookie expires: Determines the number of before the remember me login cookie expires. If not set, there is no limit.

Change Password Form:

This form is used to allow users to change their passwords when they know their current password.

· Successful Password Change handling: Enables you to set the message that will display on a successful password change, set a redirect URL, or redirect the user to their original request (the default).
· XSL Transformation: An advanced option for developers enables the form display to be customized by providing your own transformation file or using the default provided.

Recover Password Form:

This form is used to allow users to reset their password when lost or forgotten.

· Successful Password recovery handling: Enables you to set the message that will display on a successful password reset or redirect to a specific URL.
· XSL Transformation: An advanced option for developers enables the form display to be customized by providing your own transformation file or using the default provided.

Logout Form:

This form is used to allow users to change their passwords.

· XSL Transformation: An advanced option for developers enables the logout form display to be customized by providing your own transformation file or using the default provided.

Subscription Options: If using the .netPAYMENT add-on .netPROTECT supports subscriptions.

· No active subscriptions handling: When accessing the system without a valid subscription this option controls the handling (either return HTML or redirect to a fixed URL)
· Failed transactions handling: When accessing the system with failed transactions outstanding this option controls the handling (either return HTML or redirect to a fixed URL)


Password Management

Navigation: User Documentation > Administration > General > Form / Field settings >

Password Management

 Return to chapter overview

This section of the admin allows you to customize the password rules for .netPROTECT.

Password Policy:

Rules new passwords must pass in order for a password change to be accepted.

· Minimum password length: Minimum length of the password.
· Minimum number of digits: Minimum number of digits (numbers) in the password
· Minimum number of special symbols: Minimum number of symbols e.g. $&@*^
· Minimum number of mixed case letters: Mixed case letters are those both upper and lower case. For example "password" and "PASSWORD" have no mixed case letters. "Password" has 1. "PaSswoRd" has 3.
· Enforce Password History: This setting accepts a numeric value from 0 to 5. When set .netPROTECT will store hashed of old password values and compare them to new password selections. If a match is found the user will be asked to select another password and require that the new password provided has not been used in the last x changes where x is the value defined by this setting.

Password Expiration:

System wide password expiration settings.

· Passwords Never Expire: When set passwords will not expire regardless of age or other settings.
· Password Expires after (days): Enables you to expire password after a fixed number of days.
· Password Expires on: Accepts a future date which passwords will expire on.
· When password has expired: You can choose to display a custom error message or redirect to a given URL.


Invalid Login Handling

Navigation: User Documentation > Administration > General >

Invalid Login Handling

 Return to chapter overview

This section enables you to define the invalid login handling or what to do when invalid login attempts are made.

Login Prevention Options:

Rules for invalid login attempts and actions to take when limits are reached.

· Invalid Attempts Count: Number of invalid login attempts allowed for a specific username within a specific period before subsequent login attempts will be blocked.
· Prevent Logins for (minutes): Number of minutes subsequent invalid attempts will be prevented after the invalid login attempt count has been reached.
· Login Handling in this case: Accepts options for showing a custom message or redirecting to a specific URL when the invalid attempts count is reached.

Login Disabling Options:

Automatic account disabling settings and custom messages.

· Invalid attempts count to disable: The total number of invalid attempts made before an account will be automatically disabled.
· Login Handling: Accepts options for showing a custom message or redirecting to a specific URL when an account is disabled as a result of invalid login attempts.


Global Access Handling

Navigation: User Documentation > Administration > General >

Global Access Handling

 Return to chapter overview

This section enables you to define set the global access handling which controls quotas for the system as a whole. These are global settings and lower level (user or access specific settings) would take precedence if provided.

Unique Users:

Quotas for unique users. A unique user is considered any user with their own username and password. For example if you wish to limit the total number of users logged into the site to 1000 you could set the limit for unique users to 1000 and have a message shown to additional users that attempted to login such as "the site is too busy now, try again later".

· Maximum Number of unique users: The total number of unique users allowed in the system before additional users will be blocked. This is the count of all unique users currently logged into .netPROTECT.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case a user exceeds the maximum number of unique users quota.

Concurrent Users:

Quotas for concurrent users. A concurrent user is considered any new login with the same username within the session length. When 2 different users login with the same details from different systems they would be counted as concurrent users.

· Maximum number of concurrent users: The total number of concurrent users allowed in the system.
· Concurrent attempts count to prevent logins: The total number of concurrent users to prevent additional concurrent logins.
· Time period to prevent login (minutes): The period additional logins should be prevented in minutes.
· Maximum number of further concurrent accesses to disable account: Number of additional concurrent users before the user account will be automatically disabled.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case of an user being disabled due to this section.

Example: Setting Maximum number of concurrent users: 4, Concurrent attempts count to prevent logins: 2, and Time period to prevent login (minutes): 5 would give the following result: a maximum of 4 different people (or browsers) could login using the same username without error, attempts for the 5th and 6th logins will fail with a message and 7th and additional login attempts for the user would be denied and additional login attempts prevented for a period of 5 minutes.

Unique Logins:

Quotas for unique logins. A unique login is considered a login by any user with their own username and password.

· Maximum Number of unique user logins: The total number of unique user logins allowed in the system before additional unique user logins will be blocked.
· Per time period (minutes): The period additional logins should be prevented in minutes.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case the system exceeds the maximum number of unique user login quota.

Concurrent Logins:

Quotas for concurrent user logins. A concurrent user login is considered any new login with the same username. When 2 different users login with the same details from different systems they would be counted as concurrent users and the initial login of each would count as a concurrent login.

· Maximum number of concurrent user logins: The total number of concurrent user logins allowed in the system.
· Per time period (minutes): The period additional concurrent logins should be prevented in minutes.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case of an concurrent user being prevented login due to this quota being reached.

Hits from unique users:

Quota for hits from unique users. A unique user is considered an user with their own username. A hit is considered a request for any protected file.

· Maximum Number of hits from unique users: The total number of hits from unique users allowed in the system before additional hits will be blocked.
· Per time period (minutes): The period additional hits should be prevented in minutes.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case the system exceeds the maximum number of hits for unique users.

Hits from concurrent users:

Quota for hits from concurrent users. A concurrent user is considered an user using the same username/password as another user in the system. A hit is considered a request for any protected file.

· Maximum number of hits from concurrent users: The total number of hits from concurrent users allowed in the system.
· Per time period (minutes): The period additional concurrent user hits should be prevented in minutes.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case of an concurrent user being prevented access to a page due to this hit quota being reached.

Download (KB) from unique users:

Quota for KB from unique users. A unique user is considered an user with their own username. A KB is a KiloByte of data transfer by the user.

· Maximum Number of KB from unique users: The total armount of KB from unique users allowed before additional requests will be blocked.
· Per time period (minutes): The period additional access should be prevented in minutes.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case the system exceeds the maximum KB for unique users.

Hits from concurrent users:

Quota for KB from concurrent users. A concurrent user is considered an user using the same username/password as another user in the system. A KB is a KiloByte of data transfer by the user.

· Maximum Number of KB from concurrent users: The total armount of KB from concurrent users allowed before additional requests will be blocked.
· Per time period (minutes): The period additional access should be prevented in minutes.
· Violation Handling: This setting controls the text message returned or URL redirected to in the case the system exceeds the maximum KB for unique users.


Settings

Navigation: User Documentation > Administration > General >

Settings

 Return to chapter overview

General settings for .netPROTECT including email, custom tokens, and database.


Global

Global Settings

Navigation: User Documentation > Administration > General > Settings >

Global Settings

 Return to chapter overview

This section enables you to set some global settings used by .netPROTECT:

Session expiration period: Controls the session length by minutes.

Default items on page: The number of items in list pages including users, groups, roles etc.

Show full internal error: Controls whether to show full internal error or not. Full internal error is always saved and can be viewed in 'Error logs' section. This should only be enabled for testing / debug.

Validate request: Controls whether to validate request or not. It is set in web.config. For applications in .NET 4 or above it is set to false by default to prevent error for saving some administration pages in the 'Form / Field settings' section.


Email

Navigation: User Documentation > Administration > General > Settings >

Email

 Return to chapter overview

This section enables you to set the email settings used by .netPROTECT.

SMTP Server: The server address used to send emails

Port: The port for the server defaults to 25.

Use SSL: Check this option if your SMTP server requires SSL.

Smtp server needs authorization: Check this option if your SMTP server requires authorization (login) to send messages. You must then provide the username and password.

SMTP User Name: Username for the authorization.

SMTP Password: Password for the authorization.

Admin Name: The name provided as the administrator of the system.

Admin Email: The email address provided for the administrator. This address gets bug and feature suggestions from users as well as notification messages.

Sender Name: The name provided as the sender for messages sent by the system.

Sender Email: The email address provided as the sender for messages sent by the system.

Bug Report Name: The name bug reports will be sent to.

Bug Report Email: The email address bug reports will be sent to.

Automatically Email on Error: If checked the bug report email will be automatically sent bug reports when an error occurs.

Sign-up Notification: Settings for the subject and body used in the signup notification email. The body accepts user tokens so such messages can be customized automaticaly on a per user basis. For example: "Your new username is %username%."

Password Recovery: Settings for the subject and body used in the password recovery email. The body accepts user tokens so such messages can be customized automaticaly on a per user basis. For example: "Your password has been reset, you may now login with %username% and the temporary password: %password%."


Custom Tokens

Navigation: User Documentation > Administration > General > Settings >

Custom Tokens

 Return to chapter overview

.netPROTECT includes a powerful token system for inline replacement of tokens with user specific values in email sends, error message or other system returns to end users.

In addition to the predefined tokens such as %username %email etc. you can define your own custom tokens. For example, you could define a system status message token and then return this in various places such as after a successful login. You could also define a special admin email address that customers should notify in case of an error. In either case when you change the custom token definition, each place which consumes the token will automatically start using the new value.

Token Addition: Enter the token string you wish to use e.g. SystemStatus (no spaces). Then you can set the text you wish to entered in place of this value such as "All systems normal." To use the token in an email / notification / message that supports tokens enter it as %SystemStatus.


Database

Navigation: User Documentation > Administration > General > Settings >

Database

 Return to chapter overview

.netPROTECT has official support for MS Access and MS SQL Server. There is also beta support for MySQL and Oracle.

MS Access: When you access Admin GUI for first time it create all tables in Access database; no special steps are required.

MS SQL Server:

In Enterprise Manger

1) Create an empty database e.g. "dotnetProtect"

2) Create and user e.g. "myUser" and give 'db_owner" role membership to it and assign "myUser" to the dotnetProtect database created in step 1.

In the .netPROTECT web administration:

1) Select the settings/database tab.

2) Select MS SQL Server and enter Server Name, Login, password and database name.

3) Click on the "Create New" button.

MySQL:

In MySQL administrator

1) Create an empty database e.g. "dotnetProtect"

2) Create an user e.g. "myUser" and grant Insert, Select, Update, Delete, and Create privileges to 'myUser" and assign "myUser" to the dotnetProtect database.

In the .netPROTECT web administration:

1) Select the settings/database tab.

2) Select MySQL and enter Server Name, Login, password, port number and database name. The default port number is 3306.

3) Click on the "Create New" button.

Oracle 10g Express:

1) Go to database home page and login as the "system" user.

2) Choose Administration Icon and go to Manage database users

3) Create an user e.g. "myUser" enabling the checkbox for "Connect and Resource".

In the .netPROTECT web administration:

1) Select the settings/database tab.

2)Select Oracle and enter Server Name, Login, password, service name(i.e: xe), port number and database. The default port number is 1521.

3) Click on the "Create New" button.


Language

Navigation: User Documentation > Administration > General > Settings >

Language

 Return to chapter overview

.netPROTECT providers the ability to customize any string value used by the system using a simple web interface.

Default Language: Determines which language is used by default. In order for more options to appear another language would need to be edited. Once edited, it would appear in this dropdown in addition to English (United States).

Default Culture: Determines the culture used for numeric values and number formatting.

Language for editing: The current language set of over 1500 language settings. In addition to selecting language entries by letter you can search using the search tab on the bottom right of the listing control or select the show all button. When performing a substring search you can enter any part of the actual current string value and all matching string options will display and allow for editing. When editing is complete for a given string entry hit the apply button for the changes to be updated. The application will then restart for the language file changes to take effect and you will need to login again.


Auto logins and filters

Navigation: User Documentation > Administration > General >

Auto logins and filters

 Return to chapter overview

This section of the admin allows you to set auto-logins and filters at a global level (they can also be set for individual protected areas). You can select from 2 tabs: Auto Logins (the default) and Filters.

Auto Logins:

This section enables you to configure auto logins for the system. An auto login or automatic login is a system which logs in users automatically based on specific conditions. For example, it is common in intranet / internet environments for companies to grant local users (in the office) access to their site but remote users (off site) would need to login. They can accomplish this by creating an auto login with an IP range for the systems in the office. When you create an autologin you assign an user for which the autologin applies, as a result any access through autologin will run within the user context of the selected user. IP auto logins can be added as a single IP or a wildcard range such as 192.25.21.*

· Add Auto Login Rule: This button leads to a form where you can add a new auto login rule. Options include Title, Description, action considitions including IP address, Referrer, and User-agent. You must also set the corresponding account. If a condition matches the user will automatically be logged in as if they were the user set in the autologin for corresponding account.
· Delete Selected Rules: Using the list control you can select 1 or more auto login rules using the check boxes and click this button to delete selected entries.
· Search: This option enables you to search the results based on the fields available for auto logins. When a seach is run the return will include the results only, you can select show all to return to the complete list of values.

Filters:

This section enables you to configure global level filters. A filter is a setting option which prevents access based on specific criteria. When an user matches a filter condition they will be prevented access and shown an error message or redirected to a URL of your selection.

· Add Filter Rule: This button leads to a form where you can add a new filter rule. Options include Title, Description, action conditions including IP address, Referrer, and User-agent. You must also set the message to display when an user who matches the considitions is denied access. This can be a text message or redirect to a specific URL.
· Delete Selected Rules: Using the list control you can select 1 or more filter rules using the check boxes and click this button to delete selected entries.
· Search: This option enables you to search the results based on the fields available for filters. When a seach is run the return will include the results only, you can select show all to return to the complete list of values.


Error logs

Navigation: User Documentation > Administration > General >

Error logs

 Return to chapter overview

The global error log provides information on general error .netPROTECT encountered. Typically this log would not contain any information however if you are having troubles with .netPROTECT you should check this log to see if you have any configuration issues or other troubles. You will find detailed information on each error and will be able to send any given error report to support with a click of a button. In addition, you can provide your own comments or additional information about the error (optional) when submitting an error report.

You may also submit a request or bug report from any page in the .netPROTECT administration using the bug email icon at the bottom right of any page.

Reports will be emailed to the address set in email settings for bug reports. If this is not set they will be sent to the systems administrators email.


Payment Settings

Navigation: User Documentation > Administration > General >

Payment Settings

 Return to chapter overview

Payment settings are available when you have a license for the .netPAYMENT add-on for .netPROTECT. Options include subscriptions, system settings, processor settings, agent status, and notifications.


Subscriptions

Navigation: User Documentation > Administration > General > Payment Settings >

Subscriptions

 Return to chapter overview

Subscriptions enable you to manage subscriptions for your site by adding, editing or deleting subscription plans.

When adding a subscription you will be presented with the following inputs:

Name: The name of the subscription for example "3 months".

Initial Amount: The starting amount billed for the subscription in dollars and cents "29.95"

Period Amount: The recurring amount to be billed each month after the starting amount. This is only required if different than the starting amount.

Period Value: The number of days, weeks, months or years for the subscription period.

Is pro-rated: Determines if the subscription is prorates or not. This means if a given user signs up on any day but the period anniversary a proportional amount to bring them to the anniversery date will be charged for the first payment and subsequent payments will be billed the full period amount. For example, if billing $10 each month if someone started on the 1st of the month they would be billed $10 for the first month and each month thereafter, always on the 1st of each month. If they signed up on the 20th of the month and there were 30 days in the month then they would be charged $3.33 for the portion of the first month that was still outstanding and then be billed the full amount on the 1st of each subsequent month.

Stop Date: An arbirtrary future stop date after which no further billings would be automatically run for the subscription.

Maximum billings count: An arbirtrary maximum number of billings the subscription will run for after which no further billings would be automatically run.

Is only at signup: Determine if the subscription is displayed in User payment settings -> Subscriptions list or not. Typically this would be used for a special offer on signup that is not available for regular renewal.


System Settings

Navigation: User Documentation > Administration > General > Payment Settings >

System Settings

 Return to chapter overview

System settings include the general settings for .netPAYMENT including:

Period to run agent (hours): How frequently in hours the billing agent will automatically run any outstanding transactions.

Period to prevent failed transactions charge again (hours): After a given transaction fails the system can wait to attempt the same transaction again until a later date. Typically this would be set for 24 hours or more.

Processing batch size: The maximum number of transactions the agent will run at one time.

Maximum failed transactions before make billing inactive: The maximum number of failed transactions that will run before a given billing will be made inactive (such billings would no longer run unless manually activated).

Culture information: The default culture used for .netPAYMENT settings (determines currency and number formatting).

Charge transactions individually: When a given billing has multiple charges outstanding this option determines if they will be run once with a single charge for the total amount or if each will be charged individually.

Admin notification settings: The administration email notifications settings.

· SMTP server: The full server address of the sending SMTP server.
· Administrator email: The email address used for the from address for notification emails.
· Administrator name for email: The email name used for the from address for notification emails.
· Days before card expired: Number of days before expiry to notify customer for card expired notification.
· Billing count remaining before close to lapsing notification: The remaining billing count for a given subscription before the close to lapsing notification is sent.

Customer's fields settings: Detemines which customer fields are required for payment information. Options include First name, Last name, Phone, Fax, City, State/Province, Country, Address, ZipPostal,E-mail.

.netCHARGE settings:

Charge timeout (sec): Typically this would not be modified. This settings determines how long the payment engine will wait before timing out.

Start dates:

· Start day of week: The day to be considered the starting day of the week. Options include: Monday Tuesday Wednesday Thursday Friday Saturday and Sunday.
· Start day of month: Options from 1 to 31.
· Start day of year: Options from 1 to 365.
· Start month of year: The month to be considered the starting month of the year. Options include January February March April May June July August September October November and December.

Secure properties display options:

· Show full CC number and code for admin: Determine if such details are visible to admin.
· Show full CC number and code for user: Determine if such details are visible to users.


Processor Settings

Navigation: User Documentation > Administration > General > Payment Settings >

Processor Settings

 Return to chapter overview

Processor / Gateway specific settings including selection and login details along with the card types accepted.

.netPAYMENT utilizes the proven transaction processing engine of .netCHARGE which has been in commercial use since 2001. The following gateways / processors are currently supported:

· Nova VirtualMerchant https://www.myvirtualmerchant.com/
· NaviGate http://www.merchantplus.com/
· Realex Payments http://www.realexpayments.com/
· InnovativeGateway/Merchant (Quickbooks) http://www.innovativemerchant.com/
· SecurePay: http://www.securepay.com
· YourPay: http://www.yourpay.com
· Concord: http://www.concordefsnet.com
· CyberSource http://www.cybersource.com
· Trust Commerce http://www.trustcommerce.com
· OptimalPayments http://www.optimalpayments.com
· ESecPayments http://www.esecpayments.com.au
· Vital / Visanet Native - http://www.vitalps.com
· Protx - http://www.protx.com
· Ogone - http://www.ogone.com
· PlugnPay - http://www.plugnpay.com
· Paymentech Native Processor - http://www.paymentech.com
· Paymentech Orbital Gateway - http://www.paymentech.com
· Echo - http://www.echo-inc.com
· Moneris - http://www.moneris.com
· Authoize.net AIM with eCHECK / Wells Fargo - http://www.authorize.net
· Nova Native Processor - http://www.novainfo.com
· Bank Of America - http://www.bankofamerica.com
· WorldPay (International) - http://www.worldpay.com
· Authorize.net - http://www.authorize.net
· PayflowPro - http://www.paypal.com
· LinkPoint - http://www.linkpoint.com
· Itransact - http://www.itransact.com
· PayReady - http://www.PayReady.net
· PayflowLink - http://www.paypal.com
· Intellipay - http://www.intellipay.com
· viaKLIX (Nova) - http://www.novainfo.com
· Ecx - http://www.ecx.com
· eProcessing - http://www.eprocessingnetwork.com
· PlanetPayment - http://www.planetpayment.com
· Mcps - http://www.merchantcommerce.net
· Cybercash - http://www.cybercash.com
· SkipJack - http://www.skipjack.com
· Itransact - http://www.itransact.com
· PayReady - http://www.PayReady.net
· NetBilling - http://www.netbilling.com
· ioNgate - http://www.iongate.com
· PSiGate - http://www.psigate.com
· PayCom - http://www.paycom.net
· ePoch - http://www.ePochsystems.com
· Barclays ePDQ http://www.barclaycard.co.uk
· HSBC UK http://www.ukbusiness.hsbc.co.uk
· PayPal Pro (direct PayPal) http://www.paypal.com

If you would like to see a new payment gateway or processor supported in .netPAYMENT please email info@dotnetpayment.com with your request.


Agent Status

Navigation: User Documentation > Administration > General > Payment Settings >

Agent Status

 Return to chapter overview

The agent runs in the background to process transactions on a regular interfal as defined in system settings.

If stopped you can start the thread, if running it can be manually stopped.

The agent status will report one of the following conditions: In Processing or Idle.

When scheduled transactions are actively being processed, the status is "In Processing".

Otherwise is idle. You can initiate the agent to start processing any outstanding transactions by clicking on "start agent" while the status is idle.


Notifications

Navigation: User Documentation > Administration > General > Payment Settings >

Notifications

 Return to chapter overview

Controls the automated email notifications sent on the following events:

Receipt Notification: A notification email that is sent when the system receives a new transaction which processed without error.

Failed Transaction: A notification email sent when a transactions fails to process.

Close to lapsing: A notification email sent when a subscription is close to being expired.

Lapsed: A notification email sent when a subscription has expired.

Card expired: A notification email sent when a card is set to expire.

Tokens are supported for customer data and can be added to the body or subject of any notification email. When a given message is sent, tokens are replaced with the user specific data for that particular notification.


Custom Properties

Navigation: User Documentation > Administration > General > Payment Settings >

Custom Properties

 Return to chapter overview

Enables the addition of custom properties (form fields). This information will be collected when payment details are displayed in the signup form. This is similar to the signup form properties but the information is grouped and stored with the payment data instead of the user data.


Management

Navigation: User Documentation > Administration >

Management

 Return to chapter overview

.netPROTECT management includes sections for managing users, groups, protected areas, roles, privileges and email sending.


Users

Navigation: User Documentation > Administration > Management >

Users

 Return to chapter overview

User management enables you to view, edit and delete users within .netPROTECT. A list control is provided which will enable you to quickly and easily navigate through massive numbers of users and search to limit the listings to users that match your specific search criteria.

Add New User:

Allows you to add a new user.

Editing an users properties:

To edit a specific user click on the name of the user from the user list.

Activate Selected Users:

Quotas for concurrent users. A concurrent user is considered any new login with the same username within the session length. When 2 different users login with the same details from different systems they would be counted as concurrent users.

Disable Selected Users:

Quotas for concurrent users. A concurrent user is considered any new login with the same username within the session length. When 2 different users login with the same details from different systems they would be counted as concurrent users.

Delete Selected Users:

Quotas for concurrent users. A concurrent user is considered any new login with the same username within the session length. When 2 different users login with the same details from different systems they would be counted as concurrent users.


Add User / User Properties

Navigation: User Documentation > Administration > Management > Users >

Add User / User Properties

 Return to chapter overview

When you select add user or click on an user you will be provided with a screen of user properties.

Name: The username.

Owner: The user that created this account. This is read only. See also owner tab.

Last Login: The date / time of the last login for the user. This is read only.

Sign-Up Date: The date the user signed up (only set if they used the signup form). This is read only.

Email: Email address.

Password: Password.

Verifiy Password: Must be entered twice to ensure it was typed correctly.

Is active: Determines if the user is active, an inactive user can not login or be used.

After Login Redirect to: An user specific URL the user will be redirected to after login.

Last Login: The date/time of the last login with a link to detailed user history.

Sign-up date: The date the user signed up (specific to .netPAYMENT add-on).

Activation Date: Date when an account will be active, if this is set and the current date is not later than this date the account can not be used.

Expiry Date: A future date when the account will expire and no longe be active. If the current date is past this date then the acount can not be used.

Password change date: This is a date which the password for this account must be changed. If an user logs in past this date they will be prompted to complete a password change and can not use the system until this password change is complete.

Concurrent Users: Maximum number of concurrent users for this user account.

Concurrent Attempts count to prevent logins: Number of concurrent users before logins will be prevented.

Time period to prevent login (minutes): Period of time to prevent logins.

Maximum number of further concurrent accesses to disable account: Number to additional concurrent login attempts to automatically disable account.

Concurrent logins: Number of logins from concurrent users.

Per time period (minutes): Time period.

Hits from unique users: Number of hits from unique users.

Per time period (minutes): Time period.

Hits from concurrent users: Number of hits from concurrent users.

Per time period (minutes): Time period.

Maximum download size for the user: Number of kilobytes (KB) for the unique user per time period.

Per time period (minutes): Time period.

Maximum download size from concurrent users: Number of kilobytes (KB) from concurrent users per time period.

Per time period (minutes): Time period.

Custom Fields: In addition to the provided fields listed above, using the signup form you can add custom fields which will display, can be added, edited and searched on.


Groups Membership

Navigation: User Documentation > Administration > Management > Users >

Groups Membership

 Return to chapter overview

The groups the selected user belongs to. You will see 2 lists:

Group Membership: lists all groups the user belongs to.

Remaining Groups: All groups they are not currently a member of.

You can select using the check boxes any groups and click the "add selected groups" or "remove selected groups" to modify the users group memberships.


Groups Management Membership

Navigation: User Documentation > Administration > Management > Users >

Groups Management Membership

 Return to chapter overview

The groups the selected user currently manages. A group manager can use the administration to modify the users in groups. You will see 2 lists:

Group Membership: lists all groups the user currently manages.

Remaining Groups: All groups they do not currently manage.

You can select using the check boxes any groups and click the "add selected groups" or "remove selected groups" to modify the users group memberships.


Areas Membership

Navigation: User Documentation > Administration > Management > Users >

Areas Membership

 Return to chapter overview

The areas the selected user belongs to. You will see 2 lists:

Areas Membership: Lists all areas they are explicitly granted access to.

Remaining Areas: Lists all areas.

You can select using the check boxes any groups and click the "add selected areas" or "remove selected areas" to modify the users area memberships.

Note: if an user is a member of a group and a group is granted access to an area then all members of that group will have access to the area. This areas membership functionality would only be used if you wished to grant a specific user access to a specific area when not using a group.


Areas Mangement Membership

Navigation: User Documentation > Administration > Management > Users >

Areas Mangement Membership

 Return to chapter overview

The areas the selected user is currently set to manage. Area managers can create subareas and control protected areas within their specific. You will see 2 lists:

Areas Membership: Lists areas the user is currently setup to manage.

Remaining Areas: Lists all areas.

You can select using the check boxes any areas and click the "add selected areas" or "remove selected areas" to modify the users area management memberships.


Roles

Navigation: User Documentation > Administration > Management > Users >

Roles

 Return to chapter overview

Lists the roles that the selected user belongs to. A role is a set of priveliges which determines what admin functionality the user is able to use. You will see 2 lists:

Attached Roles: Lists all roles the user is currently has.

Remaining Roles: Lists all roles they are not attached to.

Note: Roles are specific to access and usage of the administration system. For regular (non admin users) who access protected areas of your site it would be typically for them to have no roles assigned. These users would have no access to the .netPROTECT administration system.


Owner

Navigation: User Documentation > Administration > Management > Users >

Owner

 Return to chapter overview

This tab shows the current owner of the user and enables the master administrator to change the owner.

A new owner may be selected from the list and apply will finalize the change.


Payment Details

Navigation: User Documentation > Administration > Management > Users >

Payment Details

 Return to chapter overview

This tab will only be visible if using the.netPAYMENT add-on and allows for the viewing and editing of the users payment details.

Contact Information: General contact information.

Address Information: Billing address details.

Customer Cards: The credit card details on record.

Current Subscription: The current subscription for the user.


Groups

Navigation: User Documentation > Administration > Management >

Groups

 Return to chapter overview

Groups management enables you to add, view, edit and delete groups within .netPROTECT. A list control is provided which will enable you to quickly and easily navigate through massive numbers of groups and search to limit the listings to groups that match your specific search criteria.

Add New Group:

Allows you to add a new group.

Editing a groups properties:

To edit a specific group click on the name of the group from the groups list.

Delete Selected Groups:

You can select groups with the provided check boxes and use this button to delete any selected groups in one step.


Add Group / Group Properties

Navigation: User Documentation > Administration > Management > Groups >

Add Group / Group Properties

 Return to chapter overview

When you select add group or click on a group name you will be provided with a screen of group properties.

Title: The group title or name.

Owner: The owner of this group (read only).

Description: The description of this group.

Creation Date: The date this group was created.

Unique users from this group: The maximum number of unique users that may login from this group.

Concurrent users from this group: The maximum number of concurrent users that may login from this group.

Concurrent attempts count to prevent logins: The number of concurrent login attempts before additional logins are prevented.

Time period to prevent login (minutes): The amount of time such logins are prevented for.

Maximum number of further concurrent accesses to disable account: The number of further concurrent login attempts before the account will be disabled.

Unique logins from this group: The number of unique logins (logins from users with their own usernames) allowed from this group.

Per time period (minutes): The amount of time for the above limit.

Concurrent logins from this group: The total number of concurrent logins allowed within a time period.

Per time period (minutes): The amount of time for the above limit.

Hits from unique users of this group: The number of hits allowed within the time period from unique users.

Per time period (minutes): The amount of time for the above limit.

Hits from concurrent users of this group: The total number of hits allowed within the time period from concurrent users.

Per time period (minutes): The amount of time for the above limit.

KB from unique users of this group: The amount of data transfer (KB) allowed within the time period from unique users.

Per time period (minutes): The amount of time for the above limit.

KB from concurrent users of this group: The amount of data transfer (KB) allowed within the time period from concurrent users.

Per time period (minutes): The amount of time for the above limit.

Terminology Notes: A login is the act of logging in, an user is someone who has logged in and is not in the system. A unique user is an user with their own username and password. A concurrent user is an user who is sharing an username and password such that more than one user in the system has the same username an password.


Users

Navigation: User Documentation > Administration > Management > Groups >

Users

 Return to chapter overview

The users tab lets you view a list of all users that belong to the selected group. This tab may also be used to add or remove users from a given group.


Managers

Navigation: User Documentation > Administration > Management > Groups >

Managers

 Return to chapter overview

The manages tab lists the current managers assigned to the group. From this tab you can add new managers or remove current managers.


Area Membership

Navigation: User Documentation > Administration > Management > Groups >

Area Membership

 Return to chapter overview

This tab shows which areas members of this group have access to. From this tab you can remove areas from the group or add new areas to the group. When a new area is added, all members of the group will now have access to that protected area.


Owner

Navigation: User Documentation > Administration > Management > Groups >

Owner

 Return to chapter overview

This tab shows the current owner of the user and enables the master administrator to change the owner.

A new owner may be selected from the list and apply will finalize the change.


Protected Areas

Navigation: User Documentation > Administration > Management >

Protected Areas

 Return to chapter overview

Protected Areas management enables you to add, view, edit and delete protected areas within .netPROTECT. A list control is provided which will enable you to quickly and easily navigate through massive numbers of areas and search to limit the listings to areas that match your specific search criteria.

Add New Area:

Allows you to add a new protected area.

Editing an areas properties:

To edit a specific area click on the name of the area from the protected areas list.

Delete Selected Areas:

You can select areas with the provided check boxes and use this button to delete any selected areas in one step.


Add Area / Area Properties

Navigation: User Documentation > Administration > Management > Protected Areas >

Add Area / Area Properties

 Return to chapter overview

When you select "add new area" or click on a protected area title name you will be provided with a screen of protected area properties.

Title: The protected area title or name.

Path: The relative path to the protected area. For example, if you installed .netPROTECT in your root at www.site.com you would use "/" to protect the root and to protect www.site.com/protected you would use "/protected"

Description: The description of your protected area.

Inheritance: Determines if the protection applies to the specified folder or file only or to all files and directories within the folder. This setting should only be set when you specify a folder not an individual file to protect.

Invalid access handling: Here you can select to use global level handling or show a specific message (enter HTML into the provided text area). You can also redirect to a specific url (include http://).

Area Manager: Selecting an area manager is optional and enables you to create sub administrators who can manage only within a given area. This is useful for larger orgaizations that wish to delegate administration for sub areas within their main site.

Hits from unique users: Number of hits from unique users.

Per time period (minutes): Time period.

Hits from concurrent users: Number of hits from concurrent users.

Per time period (minutes): Time period.

Maximum download size for the user: Number of kilobytes (KB) for the main users per time period.

Per time period (minutes): Time period.

Maximum download size from concurrent users: Number of kilobytes (KB) from concurrent users per time period.

Per time period (minutes): Time period.


Filters

Navigation: User Documentation > Administration > Management > Protected Areas >

Filters

 Return to chapter overview

Filters:

This section enables you to configure protected area level filters. A filter is a setting option which prevents access based on specific criteria. When an user matches a filter condition they will be prevented access and shown an error message or redirected to a URL of your selection.

· Add Filter Rule: This button leads to a form where you can add a new filter rule. Options include Title, Description, action conditions including IP address, Referrer, and User-agent. You must also set the message to display when an user who matches the considitions is denied access. This can be a text message or redirect to a specific URL.
· Delete Selected Rules: Using the list control you can select 1 or more filter rules using the check boxes and click this button to delete selected entries.
· Search: This option enables you to search the results based on the fields available for filters. When a seach is run the return will include the results only, you can select show all to return to the complete list of values.


Auto Logins

Navigation: User Documentation > Administration > Management > Protected Areas >

Auto Logins

 Return to chapter overview

Auto Logins:

This section enables you to configure auto logins for a specific protected area. An auto login or automatic login is a system which logs in users automatically based on specific conditions. For example, it is common in intranet / internet environments for companies to grant local users (in the office) access to their site but remote users (off site) would need to login. They can accomplish this by creating an auto login with an IP range for the systems in the office. When you create an autologin you assign an user for which the autologin applies, as a result any access through autologin will run within the user context of the selected user.

· Add Auto Login Rule: This button leads to a form where you can add a new auto login rule. Options include Title, Description, action considitions including IP address, Referrer, and User-agent. You must also set the corresponding account. If a condition matches the user will automatically be logged in as if they were the user set in the autologin for corresponding account.
· Delete Selected Rules: Using the list control you can select 1 or more auto login rules using the check boxes and click this button to delete selected entries.
· Search: This option enables you to search the results based on the fields available for auto logins. When a seach is run the return will include the results only, you can select show all to return to the complete list of values.


Users

Navigation: User Documentation > Administration > Management > Protected Areas >

Users

 Return to chapter overview

The users tab provides a listing of all available users as well as a listing of users that have been granted or denied access to the protected area you are now editing.

By selecting the check boxes next to username and using the "add selected users" and "remove selected users" buttons you change the access settings for individual users with regards to a specific protected area.

For the listing of users already added to the protected area you have additional controls with the grant and deny radio buttons. When changed you can explicitly grant or deny users and use the "apply permissions" button to update your changes.


Groups

Navigation: User Documentation > Administration > Management > Protected Areas >

Groups

 Return to chapter overview

Groups are used to grant permissions to sets of users. When a group is granted access to a protected area all members of that group will then have access.

The groups tab provides a listing of all available groups as well as a listing of groups that have been granted or denied access to the protected area you are now editing.

By selecting the check boxes next to group title and using the "add selected groups" and "remove selected groups" buttons you change the access settings for individual groups with regards to a specific protected area.


Managers

Navigation: User Documentation > Administration > Management > Protected Areas >

Managers

 Return to chapter overview

The managers tab provides an interface to update or remove protected area managers.

Selecting an area manager is optional and enables you to create sub administrators who can manage only within a given area. This is useful for larger orgaizations that wish to delegate administration for sub areas within their main site.


Owner

Navigation: User Documentation > Administration > Management > Protected Areas >

Owner

 Return to chapter overview

This tab shows the current owner of the user and enables the master administrator to change the owner.

A new owner may be selected from the list and apply will finalize the change.


Roles

Navigation: User Documentation > Administration > Management >

Roles

 Return to chapter overview

Role management enables you to add, view, edit and delete roles within .netPROTECT. A list control is provided which will enable you to quickly and easily navigate through massive numbers of roles. A role is a collection of priveleges which in turn is a specific ability you can grant such as using different areas of the admin, or being able to add or delete users. By creating and assigning roles you can create administrators with specific limits on what they can do within the .netPROTECT management interface.

Add New Role:

Allows you to add a new role to the system.

Editing an areas properties:

To edit a specific role click on it form the roles list and you will be taken to the general properties for that role.

Delete Selected Roles:

You can select roles with the provided check boxes and use this button to delete any selected roles in one step.


Add Role / Role Properties

Navigation: User Documentation > Administration > Management > Roles >

Add Role / Role Properties

 Return to chapter overview

When adding a new role you will be prompted to enter the role name and description. Clicking apply will add the role and provide new tab options for privileges and users.


Privileges

Navigation: User Documentation > Administration > Management > Roles >

Privileges

 Return to chapter overview

The privileges tab lists the current privileges assigned to the role. From this tab you can grant new privileges or revoke current privileges.


Users

Navigation: User Documentation > Administration > Management > Roles >

Users

 Return to chapter overview

The users tab lists the current users attached to the role. From this tab you can attach new users to this role or remove current users from it.


Privileges

Navigation: User Documentation > Administration > Management >

Privileges

 Return to chapter overview

The privileges section enables you to view a list of all privileges in the system. In addition to paging through the list control you can also drill down on any given privilege to view and assign roles for it.

There are 4 types of privileges which enable a file level of control on which areas of the administration interface are accessible:

Area Privileges: There are 19 privileges for the "Protected area" GUI elements.

Group Privileges: There are 19 privileges for the "Group" GUI elements.

User Privileges: There are 20 privileges for the "Users" GUI elements.

Email Privileges: There are 2 privileges for the "E-mail sending" GUI section.

You can create a role and assign one or more privileges to the role. When you create a role and assign it to an user they will then have access to the specific areas the privileges grant access to. In addition to custom roles, there are predefined roles for "administrator" which has all privileges and guest which has a limited set of privileges. You can not modify or delete the "administrator" role.


Assign Roles

Navigation: User Documentation > Administration > Management > Privileges >

Assign Roles

 Return to chapter overview

When you select a priviledge by clicking on its name you will be presented with a list of attached roles and remaining roles. The attached roles are roles that currently have this priviledge assigned to them, the remaining roles do not have this privilege.

By using the "grant to role" and "revoke from role" buttons you are able to modify the which roles the selected priviledge belongs to.


E-mail Sending

Navigation: User Documentation > Administration > Management >

E-mail Sending

 Return to chapter overview

The email sending management area is used to send email messages to your .netPROTECT userbase. Using the list control you can select any or all of the users and also use the search functionality to limit the selected users for the mailing.

Subject: The subject of the message, when sent with a different letter for each user, tokens are supported in the subject. For example, "Important: %username% is about to expire."

To: The address the message is sent to, this is used when using bcc, you could have it send to your own address.

CC: Any addresses you wish to cc (carbon copy)

BCC: Any addresses your wish to bcc (blind carbon copy)

( ) Send different letters for each user ignoring CC and BCC headers.

( ) Send one letter with BCC header for selected users.

These radio button selections determine email sends will be completed when there is more than one recipient.

Message: The message accepts the complete text you wish to send to users. A powerful token system enables you to customize messages on a per user basis even if sending to multiple users at one time. For example you could start your email "Dear %username%". In addition to regular user fields, tokens are supported for any custom fields you may add through form / field settings. Note tokens will only be replaced in the case of sending different letters for each user (see options above)

Add selected users: Adds the users you have selected to the mail send.

Add all users: Adds all users in the current search list to the mail send. This is very useful in conjunction with search as you can limit to a specific subset of users on your own custom criteria and then add just those users to the send.

Remove selected users: Removes the selected users from the mail send.

Send message to following users: Shows a list of users that the message will be sent to.

Remaining users: Shows a list of remaining users which are currently not included in the message send.

Send: Starts the mail send to the selected users.


Audit / Statistics

Navigation: User Documentation > Administration >

Audit / Statistics

 Return to chapter overview

.netPROTECT audit and statistics includes sections for viewing live users, users history, groups history, protected areas history, statistics and backup history.


Live Users

Navigation: User Documentation > Administration > Audit / Statistics >

Live Users

 Return to chapter overview

The live users section provides an up to the minute listing of all active users in the .netPROTECT system. Live users display in the list control with the following information:

Username: The name of the user in the system.

Count: The count or number of users that are in the system using this username and Password. If the count is greater than 1 then there are multiple users sharing a single login. It is also possible if an user did not logout and did another login with a new browser they will show as a 2 count until their original session expires.

First Login: The date and time of the first login made by this user.

Last Login: The date and time of the last login by this user.

The username name and count are links which lead to additional information. When you click on the username you will jump to the users history log. When you click on the count you will see a listing of each session that is making up the count for that user. The IP for each session and the login date / time will be displayed.

From the count details you can select any user making up the count and remove them from the cache. It means the user will no longer be logged in and would have to login again if they made another request to a protected area.

From the live user listing you can select any user (including all count users) and remove the entire user from the system. Anyone using this username would then have to login again if requesting a protected area.


Users History

Navigation: User Documentation > Administration > Audit / Statistics >

Users History

 Return to chapter overview

The user history provides a list using the list control of all users along with their signup date, first login and last login. You can select any username to view an access history log for the user including:

Each page request made by the user, the IP they originated the request from and the exact time of the request.

Log data can include admin pages or not using the provided check box. If you have archived statistical information using backup access history you can use the use archive data checkbox to search this information as well.

The log provides options to limit results by start date and time along with end date and time as well.

The user history provides a detailed analysis of any actions (login, logout, page requests) that an user has take so you have a complete audit history.


Groups History

Navigation: User Documentation > Administration > Audit / Statistics >

Groups History

 Return to chapter overview

The groups history section provides detailed audit history by group. A list control is provided listing all groups along with creation date, number of members and description. You can drill down into any group by clicking on the groupname.

When you click a groupname you will be presented with the a list of any accesses to the system by members of the selected group.

The log provides options to limit results by start date and time along with end date and time as well.

The group history provides a detailed analysis of any actions (login, logout, page requests) that users from the selected group have taken so you have a complete audit history.


Protected areas History

Navigation: User Documentation > Administration > Audit / Statistics >

Protected areas History

 Return to chapter overview

The protected areas history section provides detailed audit history by protected areas. A list control is provided listing all protected areas along with path, creation date and description. You can drill down into any protected area by clicking on the protected area name.

When you click a protected area name you will be presented with the a list of any accesses to the protected area.

The log includes the access date and time, page, user and IP address. The protected area history interface also provides options to limit results by start date and time along with end date and time as well.


Statistics

Navigation: User Documentation > Administration > Audit / Statistics >

Statistics

 Return to chapter overview

The statistics sections provides reports in both tabular and chart format on usage statistics for the .netPROTECT system.

Reports Include:

Sign-ups over time

Logins over time

Hits over time

Top Users

Top Pages

Top Groups

Top Areas

Chart Types (2D and 3D):

Column

Cylinder

Dots

Line

Arealine

Spline

Bar

Pie

Group By Options:

Hours

Days

Weeks

Months

Years

Day/Hour

Week/Day

Month/Day

Year/Month

Charts are generated with .netCHARTING. If you have charting needs unrelated to .netPROTECT statistics you may purchase a license of .netCHARTING from https://www.dotnetcharting.com/store/


Backup History

Navigation: User Documentation > Administration > Audit / Statistics >

Backup History

 Return to chapter overview

The backup history section provides the ability to backup or archive the history data stored for users, groups and access. When archived it can still be included in reports by checking the "use archive data" option from the history page.

You are presented with 2 date ranges (from and to). Any records that fall within the range will be deleted, moved to the archive or restored from the archive depending on the button selected. When data is archived it is stored in an archive table which can be purged if required or backed up using your RDMS.


User Payment History

Navigation: User Documentation > Administration > Audit / Statistics >

User Payment History

 Return to chapter overview

This section will only be visible if using the .netPAYMENT add-on.

A list of users will be presented and by clicking on a given username you can view detailed payment history statistics for the user.


Usage Tutorials

Navigation: User Documentation >

Usage Tutorials

 Return to chapter overview

This section provides a number of tutorials which provide more in depth details on specific features and how they can be used to meet your specific needs.


Quotas

Navigation: User Documentation > Usage Tutorials >

Quotas

 Return to chapter overview

.netPROTECT includes advanced quota functionality which can be set at three main levels:

1. Globally (see global access handling)
2. At the group level (see groups)
3. For a specific user (see users)

If a more specific setting is not available, .netPROTECT will utilize the higher level setting, if available.

Viewing current quota usage: You can view settings through live users which provides a view of the current value and setting for unique users. In each row you will also be able to see the current concurrent count and max concurrent quota for each user.

Quota Option | Global Level | Group Level | User Level
Set maximum unique users | Yes | Yes | N/A
Set Maximum concurrent users | Yes | Yes | Yes
Set maximum unique user logins | Yes | Yes | N/A
Set maximum concurrent unique user logins | Yes | Yes | Yes
Set maximum hits for unique users | Yes | Yes | N/A
Set maximum hits for concurrent users | Yes | Yes | Yes
Prevent login after x invalid attempts | Yes | N/A | N/A
Disable user after x invalid attempts | Yes | N/A | N/A


Developer Documentation

Navigation: »No topics above this level«

Developer Documentation

 Return to chapter overview

For common tasks (accessing information on current users, rendering conditional output etc.) in your own protected pages please see the how to section.

.netPROTECT is designed to be used with the provided web administration and customized without any programming or development required. The .netPROTECT API is the low level developer interface consumed by the provided administration system. If you are an expert developer and the customization options provided by the administration do not meet your specific needs please email support with your requirements to determine if there is a programmatic option that would meet your specific needs.


How To

Navigation: Developer Documentation >

How To

 Return to chapter overview

[Q] How can I display the user details for the currently logged in user programmatically?

[A] Please see the included sample userdetails.aspx for sample usage.

[Q] How can I setup .netPROTECT to only apply to a specific directory so other sub applications in my site are not affected?

[A] You can use the location element in your web.config to load modules and or handlers conditionally and therefore limit the scope of .netPROTECT's integration with your site. The following MS KB article explains usage of the location element.

[Q] How can I integrate the login and logout directly into my site navigation or side bar instead of redirected to a dedicated login / logout page?

[A] Please see the included sample/CustomLoginLogout which demonstrates such integration using the provided control. When an user is not logged in it will show a login form, when logged in it will show which username they are logged in with and provide an option to logout. For customizing control appearance you can edit the LoginLogout.xslt.


Support

Navigation: »No topics above this level«

Support

 Return to chapter overview

Before contacting support be sure to read the frequent questions listings and review the support policy.


Frequent Questions

Navigation: Support >

Frequent Questions

 Return to chapter overview

Can .netPROTECT be used in a traditional ASP script?

No, it requires ASP.NET, for more information please see the system requirements.

Does .netPROTECT require individual ASP.NET files to be edited to protect them?

No, the advanced functionality of .netPROTECT enables you to protect individual files, directories, or even directories with sub directories and files using a web interface. Unlike many protection systems, the files you wish to protect do not need to be edited to add protection code and when you place new files into protected directories, they will be automatically protected.

Can .netPROTECT protect additional files types such as word documents, images, PDF and database files?

Yes, .netPROTECT is built around ASP.NET however advanced functionality is provided to enable protection of all types of web content through an integrated file streaming system. For example, if you wished to protect yourimage.jpg you could have it automatically protected by .netPROTECT by simply renaming the file to yourimage.jpg.aspx. When you link to the file it will automatically be protected and streamed to the requesting browser with the appropriate content type if the user correctly provides a valid username and password for the file. This would work in the same way for a PDF such as yourdocument.pdf. Just rename the file to yourdocument.pdf.aspx and it will automatically be protected and also display correctly to the user when requested. Of course, all ASP.NET content will be protected seamlessly without any file renaming requirements. You can also define a custom extension for the stream handler such as dnp in which case only files like yourdocument.pdf.dnp.aspx would be processed. Finally, .netPROTECT's advanced HTTP streaming implementation allows for files of unlimited size to be downloaded and the streaming system even supports resuming partial downloads for those clients that support it.

NOTE: if you are using IIS7 or later, all content can be protected with .netPROTECT with no special renaming or streaming requirments.

Does .netPROTECT work with output caching?

No, output caching should not be used for protected pages as it would then be possible for an user to authenticate and subsequent anonymous requests would receive the cached page without further processing. For this reason output caching should not be used for ASP.NET content protected by .netPROTECT.

Error: Method not found: System.String System.Reflection.Assembly.get_ImageRuntimeVersion

Resolution: update to framework version 1.1 or if you are already running 1.1 ensure that your application in IIS is configured to use the 1.1 framework by using aspnet_regiis utility. .netPROTECT works with ASP.NET 2.0 or later (including 3.x and 4.x).


Support Policy

Navigation: Support >

Support Policy

 Return to chapter overview

30 days of priority email support is provided with purchase.

Support is offered for evaluations / presales on an as available basis.

Priority support contracts can be purchased and per incident priority email support is also available for purchase.

Please contact info@dotnetprotect.com if you wish to purchase additional support.


Contacting Support

Navigation: Support >

Contacting Support

 Return to chapter overview

You can contact support by emailing support@dotnetprotect.com

Please be sure to include the following information:

· Your orderid provided when you purchased .netPROTECT
· A detailed description of your problem
· An exact error message if applicable
· Specifics of your server environment

When you provide complete information with your support request it enables us to assist you more quicky and often resolve any issue with a single email.

You can also submit support requests through the built in report an error functionality in .netPROTECT and initiate error sends from the error log in .netPROTECT's administration system. This would depend on you having the email settings configured to send reports.


Licensing Information

Navigation: »No topics above this level«

Licensing Information

 Return to chapter overview

This section includes information on pricing as well as the license agreement.


Pricing & Purchase

Navigation: Licensing Information >

Pricing & Purchase

 Return to chapter overview

.netPROTECT is Licensed per web site:

Single Site $295: Usage for a single web site on a single server.

Single Server $995: Usage for any number of web sites on a single server.

Bonus: We are including a free local development license with each license of .netPROTECT sold. This enables for local development and testing through http://localhost in addition to your licensed domain.

When you purchase the .netPROTECT web site license you are asked to provide your web site address. Your license is bound to this address and allows for the product to work on this site only. The server license is not domain specific and will work on a single server.

.netPROTECT Bundle with the .netPAYMENT Add-on:

Single Site $495: Includes both a single web site license of .netPROTECT along with seamlessly integrated .netPAYMENT support for advanced subscription billing and real-time payment support.

Single Server $1595: Includes a full server license of .netPROTECT along with seamlessly integrated .netPAYMENT support for advanced subscription billing and real-time payment support.


License Agreement

Navigation: Licensing Information >

License Agreement

 Return to chapter overview

This license agreement is a legal agreement between you and Corporate Web Solutions Ltd. for .netPROTECT. By using this product/key you agree to be bound by the terms of this agreement.

This software/key is protected by national and international copyright laws. This software/key is licensed, not sold.

Granted Rights: This license grants you the right to install this software/key for use on a single (1) web site for the domain specified when your key was purchased. In addition, you may use the product for local development through localhost a single (1) computer system. This product/key is licensed per site (also known as per domain). A server license allows for use on any number of web sites on 1 physical server.

Limitations: You may not reverse engineer, decompile, or disassemble .netPROTECT. You may not rent or lease this software/key, you may not transfer your rights under this license agreement. A license may not be used for any domain other than that specified at the time of purchase, licenses can not be transfered to different domains. .netPROTECT is designed to be used in web sites for password protection. .netPROTECT is not a development tool and may not be used in any other application outside of a web server environment. .netPROTECT may not be integrated with or incorporated into any software product or script sold or offered to any 3rd party. A single .netPROTECT license may not be used in an ISP / Mall environment, each site must have its own unique license.

Ownership: Corporate Web Solutions Ltd. retains ownership of the software/key.

Liability: In no event shall Corporate Web Solutions Ltd. be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of information or any other pecuniary loss) arising out of the use of inability to use this software/key, even if Corporate Web Solutions Ltd. has been advised of the possibility of such damages.

Termination: Without prejudice to any other rights, Corporate Web Solutions Ltd. may terminate this license agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of .netPROTECT, any derivative work, and all of its component parts.

General: By installing this software/key you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms and conditions.


Config File Options

Navigation: »No topics above this level«

Config File Options

 Return to chapter overview

dotnetProtect.config file options, typically this settings would only be modified by the web admin and would not directly be manipulated. NOTE: modifying config settings directly can result in breaking your .netPROTECT install and having protected areas no longer be protected. Please only change these settings if you have knowledge and experience with them.

<DBConnectionString></DBConnectionString>

Options:

<DBConnectionString>Jet OLEDB:Global Partial Bulk Ops=2;Jet OLEDB:Registry Path=;Jet OLEDB:Database Locking Mode=1;Jet OLEDB:Database Password=;Data Source='/dotnetProtect.mdb';Password=;Jet OLEDB:Engine Type=5;Jet OLEDB:Global Bulk Transactions=1;Provider='Microsoft.Jet.OLEDB.4.0';Jet OLEDB:System database=;Jet OLEDB:SFP=False;Extended Properties=;Mode=ReadWrite;Jet OLEDB:New Database Password=;Jet OLEDB:Create System Database=False;Jet OLEDB:Don't Copy Locale on Compact=False;Jet OLEDB:Compact Without Replica Repair=False;User ID=Admin;Jet OLEDB:Encrypt Database=False</DBConnectionString>

<DBConnectionType>oledb</DBConnectionType>

Or

<DBConnectionString>user id=user;password=pass;data source=server;initial catalog=netProtect</DBConnectionString>

Default:""

<DBConnectionType></DBConnectionType>

Options:"MsSql", or "oledb" or "odbc"

Default:"oledb"

<DBMS></DBMS>

Options:MsSql, Access, Orcale and MySql (Oracle and MySql are not officially supported at this time)

Default: Access

<AdminPath></AdminPath>

Default: RootPath + "/Admin"

<SessionExpirationPeriod></SessionExpirationPeriod>

Default: 20

<ShowFullInternalError></ShowFullInternalError>

Default: No. Determines if the full internal error is shown, for production this should be no, if debugging a problem, support may ask you to change this setting.

<ListControlsItems>usersmanagement_admin.aspx=15</ListControlsItems>

Controls the default number of items shown for the list control.

The following settings are specific to the .netPAYMENT add-on for .netPROTECT:

<EncryptionPassword>td54fSg7</EncryptionPassword>

Encryption password used by .netPAYMENT.

<PeriodToRun>1</PeriodToRun>

Period to run agent (in hours)

<Charge12AM>False</Charge12AM>

Determines if an automated charge is run at the day period transition to ensure users transactions are processed and they have access for the next day.


List Control

Navigation: »No topics above this level«

List Control

 Return to chapter overview

The list control is used throughout .netPROTECT and enables you to select, edit, search and navigate through large lists of information (for example users).

The list control consits of a number of top level tabs:

*: This tab lists all items.

#: This tab lists all items starting with a number.

A-Z: These tabs list all items starting with the letter of the tab.

Search: This tab switches to a search view which will return a subset of the items which match your search criteria.

Show All: This tab appears only after a search is performed, it will return the listing to show all items.

Under the list control are often action buttons such as:

Add, Delete, Activate, or Disable.

Beside each entry in the list control will sometimes be a check box, when you check the box you can take an action on multiple list items at once, for example deleting multiple entries.

Drill Down: In many lists there will be columns of additional information or values. If a colume value has a hyperlink, it can be clicked for more information. Typically the main column values can be clicked to edit a specific item. Other related column items can be clicked to view details on them.

Paging: When a large number of items are included in a list, even selecting a tab such as "A" may return more entries than can fit on the screen. In such a case paging is added on the bottom left of the list control. You can select the paging tabs to view pages of entries available from the tab. The number ranges for a given paging tab list the items for that tab for example 1-10 would be the first tab for the first 10 items.

In summary, the list control is a main user interface component of .netPROTECT. It is designed to quickly and easily locate information within very large sets of data.


Nested Application Support

Navigation: »No topics above this level«

Nested Application Support

 Return to chapter overview

.netPROTECT includes advanced application support to enable you to protect your entire web site, even with nested applications. By default, a web site is created with an application on its root directory (aka folder). You can create applications in your IIS configuration on subdirectories or virtual directories within your site. Each application within a given web site has its own settings for asp.net and as such special support has been added to enable you to seamlessly protect multiple applications within a single web site using one .netPROTECT installation.

Protecting a sub application with one .netPROTECT install at the root:

We will assume for this example you have a folder, "SubApp" which is one level below the root directory, that it has an application created for it in your IIS configuration and you wish this to be protected by your .netPROTECT installation in the root.

1) Copy dotnetprotect.dll into the /SubApp/Bin folder

.netPROTECT will now automatically protect this subapp using the settings and database of the main deployment so you can create a protected area for /subapp and it will seamlessly protect it. You will also be able to create protected areas such as /subapp/yourdirectory and your main .netPROTECT installation in the root will work to protect files within this directory.

There are no limits on the number of sub applications that can be protected for a given site. Additional sub applications can be protected by simply copying the dotnetprotect.dll into the sub applications /bin. In addition, there is no limited on the number of applications which can be nested within each other. Finally, if your sub directories within your site do not have seperate applications created on them (as would typically be the case) no special actions are required and the dll need not be deployed to the /bin. Subdirectories can be protected without any additional actions simply by using the web interface to define protected areas for them.


Using the built-in syntax highlighter

Navigation: »No topics above this level«

Using the built-in syntax highlighter

 Return to chapter overview

Help & Manuals syntax highlighter helps you to format programming source code examples. The highlighter is aware of the code syntax and reserved words of Pascal, C++, Visual Basic and SQL statements.

To format a piece of text in code editor style

1 Select the topic text you want to format.
2 On the tool bar, click the drop down arrow of the syntax highlighter button.
3 From the popup menu, select the appropriate formatting style.

Once you have choosen a formatting style, you can apply the same style again by clicking the syntax highlighter button directly.

See also

Customizing the syntax highligher

Pascal syntax examples

C++ syntax examples

Visual Basic syntax examples

SQL examples


Virtual Directory Creation

Navigation: »No topics above this level«

Virtual Directory Creation

 Return to chapter overview

To create a virtual directory you should complete the following steps:

1) Open the MMC (Microsoft Management Console) also called Internet Services Management or commonly referred to as the IIS administration.

2) You will see a list of snap ins, one of which will be called Internet Information Server. Under this you will see your server name, select this server to view a list of sites running on the server

3) Select the site you wish to add a virtual directory for, right click on this site and select "add application" NOTE: an application is required on either a normal or virtual directory deployment.

4) You will be prompted to enter the alias, this is the name you want to access the content through for example enter "dotnetprotect" and select next

5) You will be prompted to enter the physical path, this is the path where you unpacked .netPROTECT, for example "c:\dotnetprotect"

6) Select "next" and "finish" on the final page.

Your virtual directory is now setup, and you can load the administration through http://www.yoursiteaddress.com/dotnetprotect/admin/